MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029310Open CASCADE[OCCT] OCCT:Codingpublic2017-11-09 17:172018-07-03 15:18
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029310: Coding - multiple compiler warnings in Inspectors
DescriptionWhen building Inspectors module (with CMake options BUILD_Inspectors and BUILD_USE_PCH set ON) with MSVC 2013, I observe hundreds of compiler warnings, mostly related to Qt:
- conditional expression is constant in QASSERT
- class 'Q...' needs to have dll-interface....
etc.
Steps To ReproduceBuild OCCT with MSVC 2013 using CMake setting BUILD_USE_PCH and BUILD_Inspectors ON, with Qt 5.9.1
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029542closedbugmaster Open CASCADE Coding - CMake compiler warnings in Inspector 
related to 0029909verifiedbugmaster Open CASCADE Porting to Debian80-64 : Coding - GCC compiler warnings in Qt headers while building Samples in OCCT and Products 

-  Notes
(0072181)
git (administrator)
2017-11-10 16:40

Branch CR29310 has been created by abv.

SHA-1: 2b53a4467eec04d7149046a3b5c6ee073bf283cb


Detailed log of new commits:

Author: abv
Date: Thu Nov 9 17:51:26 2017 +0300

    0029310: Coding - multiple compiler warnings in Inspectors
    
    Inclusion of Qt headers is wrapped into #pragma statements on MSVC to shut down warnings.
    Code is corrected to avoid warning due to use of floating point values in integer calculations.
(0072222)
git (administrator)
2017-11-13 16:37

Branch CR29310 has been updated by abv.

SHA-1: d6cd0d20aeb15d934de37b1cc6fd9eb94ab3f81b


Detailed log of new commits:

Author: abv
Date: Mon Nov 13 16:37:25 2017 +0300

    # fix for building on Linux

(0072227)
abv (manager)
2017-11-13 17:37

Corrections are pushed to branch CR29310 and tested to be compilable (see Jenkins job CR29310-master-abv), please review
(0073278)
git (administrator)
2018-01-09 19:00

Branch CR29310_1 has been created by nds.

SHA-1: 5085cd3e8e0fd836fa23b55ac5b50e5485bde15d


Detailed log of new commits:

Author: nds
Date: Tue Jan 9 19:00:02 2018 +0300

    0029310: Coding - multiple compiler warnings in Inspectors
    
    1. Inclusion auxiliary file before Qt headers. It lets to avoid MSVC warnings(override definition on VS 2013 and warning 4127).
    2. Avoid using CMAKE_AUTOMOC due to warnings in CMake 3.10. This option leads to analyze qrc resource files for moc utility. Using only qt5/4_wrap_cpp metods.
(0073280)
git (administrator)
2018-01-10 11:06

Branch CR29310_1 has been updated by nds.

SHA-1: aab08d872692757f63a26ed9368756be8a052d31


Detailed log of new commits:

Author: nds
Date: Wed Jan 10 11:06:18 2018 +0300

    0029310: Coding - multiple compiler warnings in Inspectors
    
    1. Inclusion auxiliary file before Qt headers. It lets to avoid MSVC warnings(override definition on VS 2013 and warning 4127).
    2. Avoid using CMAKE_AUTOMOC due to warnings in CMake 3.10. This option leads to analyze qrc resource files for moc utility. Using only qt5/4_wrap_cpp metods.
    3. Code is corrected to avoid warning due to use of floating point values in integer calculations.

(0073286)
git (administrator)
2018-01-10 14:49

Branch CR29310_2 has been created by nds.

SHA-1: 5d010b1d05110c24421370ee5a23e90d1e18ec32


No new revisions were added by this update.
(0073287)
git (administrator)
2018-01-10 14:55

Branch CR29310_2 has been updated by nds.

SHA-1: 1a53f287b2a7c8296ee1ef4624c272f41d3c19a9


Detailed log of new commits:

Author: nds
Date: Wed Jan 10 14:55:06 2018 +0300

    0029310: Coding - multiple compiler warnings in Inspectors
    
    1. Inclusion auxiliary file before Qt headers. It lets to avoid MSVC warnings(override definition on VS 2013 and warning 4127).
    2. Avoid using CMAKE_AUTOMOC due to warnings in CMake 3.10. This option leads to analyze qrc resource files for moc utility. Using only qt5/4_wrap_cpp metods.
    3. Code is corrected to avoid warning due to use of floating point values in integer calculations.

(0073295)
nds (developer)
2018-01-10 19:47

1. one more warning has been found in described environment(qt 5.9.1):
- nonstandard extension used: override specifier 'override'
In Qt5x, the following Qt definition is active under MSVC 2010/2013:
#define Q_DECL_OVERRIDE override.

Where 'override' is C++11 features and may not be available in this version of studio.
So, to hide this warning we need to set Q_DECL_OVERRIDE to empty value until other Qt headers are included.
Implemented solution: new TInspectorAPI_Q_DECL_OVERRIDE.hxx that is called in all headers where Qt class is included.

2. 'conditional expression is constant in QASSERT' is covered by:
#pragma warning(disable : 4127), that is also moved to TInspectorAPI_Q_DECL_OVERRIDE.hxx

3. 'class 'Q...' needs to have dll-interface....' is covered by Qt in qglobal.h

For information:
- These warnings were reproduced even with BUILD_USE_PCH set OFF.
- Warnings have been checked on different versions of CMake 3.10.0-rc2 and CMake 3.6.2: reproduced.
(0073296)
nds (developer)
2018-01-10 19:50

Dear Andrey, please review modifications.

Jenkins build is the next: http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29310_2-master-nds/ [^]

However, this build uses qt4, MSVC10.

Best regards, Natalia
(0074242)
git (administrator)
2018-03-04 19:11

Branch CR29310_3 has been created by nds.

SHA-1: aacc290f6a22b51c7ac08a1bbd99d317e38e293b


Detailed log of new commits:

Author: nds
Date: Sun Mar 4 19:10:56 2018 +0300

    0029310: Coding - multiple compiler warnings in Inspectors
    
    1. Added classes to hide and restore compilation warnings: Standard_WarningsDisable.hxx, Standard_WarningsRestore.hxx. It uses #pragma if MSVC compilation mode.
    2. Inspector: for all includes of Qt headers include disable warning before and restore warnings after.
    3. Inspector: minor code correction to avoid warning due to use of floating point values in integer calculations.
(0074249)
nds (developer)
2018-03-05 14:04

Dear Andrey, please review modifications.

Jenkins build is the next: http://jenkins-test-10.nnov.opencascade.com/view/CR29310_3-master-NDS [^]
(0074319)
git (administrator)
2018-03-06 17:07

Branch CR29310_3 has been updated forcibly by abv.

SHA-1: b26973bcb3e296ccde57d84ab1265762d867cac7
(0074320)
abv (manager)
2018-03-06 17:09

Reviewed with minor amendments (text of comments), please integrate
(0074322)
bugmaster (administrator)
2018-03-06 17:22

Combination -
OCCT branch : CR29310_3 SHA - aacc290f6a22b51c7ac08a1bbd99d317e38e293b
Products branch : master SHA - 4fd289ec73d35d02f23f3990c73b3acac9a60574
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18385.67999999971 / 18338.37999999957 [+0.26%]
Products
Total CPU difference: 7501.23000000001 / 7461.340000000009 [+0.53%]
Windows-64-VC10:
OCCT
Total CPU difference: 17656.333580898547 / 17653.338361698563 [+0.02%]
Products
Total CPU difference: 8011.946158299975 / 7990.761222500007 [+0.27%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074542)
git (administrator)
2018-03-16 14:14

Branch CR29310_3 has been updated by nds.

SHA-1: 834efeae9b6fd7a08d3fe7245953fcb14dd202ac


Detailed log of new commits:

Author: nds
Date: Fri Mar 16 14:14:02 2018 +0300

    # remove not correct copyright

(0074545)
git (administrator)
2018-03-16 14:38

Branch CR29310_3 has been updated forcibly by nds.

SHA-1: d7cf1cd773715f7ed3c1986168e4c653d6aa5b19
(0074597)
git (administrator)
2018-03-19 10:05

Branch CR29310 has been deleted by kgv.

SHA-1: d6cd0d20aeb15d934de37b1cc6fd9eb94ab3f81b
(0074598)
git (administrator)
2018-03-19 10:05

Branch CR29310_1 has been deleted by kgv.

SHA-1: aab08d872692757f63a26ed9368756be8a052d31
(0074599)
git (administrator)
2018-03-19 10:05

Branch CR29310_2 has been deleted by kgv.

SHA-1: 1a53f287b2a7c8296ee1ef4624c272f41d3c19a9
(0074600)
git (administrator)
2018-03-19 10:05

Branch CR29310_3 has been deleted by kgv.

SHA-1: d7cf1cd773715f7ed3c1986168e4c653d6aa5b19

- Related Changesets
occt: master 130eb114
Timestamp: 2018-03-04 16:10:56
Author: nds
Committer: bugmaster
Details ] Diff ]
0029310: Coding - multiple compiler warnings in Inspectors

1. Added specific header files to disable and restore compiler warnings: Standard_WarningsDisable.hxx, Standard_WarningsRestore.hxx.
   (Currently only MSVC compiler is handled.)
2. Inspector: compiler warnings are disabled for all includes of Qt headers.
3. Inspector: minor code correction to avoid warning due to use of floating point values in integer calculations.
mod - src/Standard/FILES Diff ] File ]
add - src/Standard/Standard_WarningsDisable.hxx Diff ] File ]
add - src/Standard/Standard_WarningsRestore.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_AttributePaneStack.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_AttributePaneStack.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Communicator.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_DumpView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_DumpView.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_HighlightDelegate.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_HighlightDelegate.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Item.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Item.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemApplication.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemBase.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemDocument.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ItemRole.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Module.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Module.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_PropertyPanel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_PropertyPanel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchItemInfo.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLine.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLine.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLineModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchLineModel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_SearchView.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Shortcut.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Shortcut.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Thread.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Thread.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ThreadItemSearch.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ThreadItemSearch.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_ThreadItemUsedShapesMap.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Tools.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Tools.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLine.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLine.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLineDelegate.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLineDelegate.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLineModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelLineModel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelView.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelView.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelViewModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeLevelViewModel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeModel.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeModel.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_TreeView.hxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePane.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePane.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneModel.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneModel.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_AttributePaneSelector.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperArray.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperExport.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_HelperExport.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_ItemDelegateButton.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_ItemDelegateButton.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TableView.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TableView.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdAsciiString.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdBooleanArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdBooleanList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdByteArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdComment.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdCurrent.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdDirectory.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExpression.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExtStringArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdExtStringList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdInteger.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntegerArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntegerList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdIntPackedMap.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdName.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdNamedData.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdNoteBook.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReal.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRealArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRealList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReferenceArray.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdReferenceList.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdRelation.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTick.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNode.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeItem.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeItem.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeModel.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdTreeNodeModel.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdUAttribute.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDataStdVariable.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDFReference.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDFTagSource.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdModified.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdOwner.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdXLink.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TDocStdXLinkRoot.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionFunction.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionGraphNode.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TFunctionScope.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNamedShape.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingNaming.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TNamingUsedShapes.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_Tools.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_Tools.hxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TPrsStdAISPresentation.cxx Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane_TPrsStdAISViewer.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_AttributeCommonPane.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_AttributeCommonPane.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_Tools.hxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocColor.cxx Diff ] File ]
mod - tools/DFBrowserPaneXDE/DFBrowserPaneXDE_XCAFDocShapeMapTool.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Communicator.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_ItemShape.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_ItemShape.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_OpenFileDialog.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_OpenFileDialog.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_OpenFileViewModel.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_OpenFileViewModel.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_TreeModel.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Window.cxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Window.hxx Diff ] File ]
mod - tools/TInspector/TInspector_Communicator.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.hxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ItemBase.cxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ItemBase.hxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ItemRole.hxx Diff ] File ]
mod - tools/TreeModel/TreeModel_MessageDialog.cxx Diff ] File ]
mod - tools/TreeModel/TreeModel_MessageDialog.hxx Diff ] File ]
mod - tools/TreeModel/TreeModel_ModelBase.hxx Diff ] File ]
mod - tools/View/View_ToolBar.cxx Diff ] File ]
mod - tools/View/View_ToolBar.hxx Diff ] File ]
mod - tools/View/View_Widget.cxx Diff ] File ]
mod - tools/View/View_Widget.hxx Diff ] File ]
mod - tools/View/View_Window.cxx Diff ] File ]
mod - tools/View/View_Window.hxx Diff ] File ]
mod - tools/VInspector/VInspector_CallBack.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Communicator.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemContext.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemEntityOwner.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemPresentableObject.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemSelection.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ItemSensitiveEntity.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ToolBar.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ToolBar.hxx Diff ] File ]
mod - tools/VInspector/VInspector_Tools.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Tools.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModel.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModel.hxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModelHistory.cxx Diff ] File ]
mod - tools/VInspector/VInspector_ViewModelHistory.hxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-11-09 17:17 abv New Issue
2017-11-09 17:17 abv Assigned To => kgv
2017-11-09 17:17 abv Relationship added child of 0027398
2017-11-09 17:18 abv Assigned To kgv => abv
2017-11-09 17:18 abv Status new => assigned
2017-11-09 17:18 abv Target Version 7.4.0* => 7.3.0
2017-11-10 16:40 git Note Added: 0072181
2017-11-13 16:37 git Note Added: 0072222
2017-11-13 17:37 abv Note Added: 0072227
2017-11-13 17:37 abv Assigned To abv => nds
2017-11-13 17:37 abv Status assigned => resolved
2017-11-13 17:37 abv Steps to Reproduce Updated View Revisions
2017-11-20 17:44 abv Steps to Reproduce Updated View Revisions
2018-01-09 19:00 git Note Added: 0073278
2018-01-10 11:06 git Note Added: 0073280
2018-01-10 14:49 git Note Added: 0073286
2018-01-10 14:55 git Note Added: 0073287
2018-01-10 19:47 nds Note Added: 0073295
2018-01-10 19:47 nds Assigned To nds => abv
2018-01-10 19:50 nds Note Added: 0073296
2018-03-04 10:06 nds Assigned To abv => nds
2018-03-04 10:06 nds Status resolved => assigned
2018-03-04 10:22 nds Relationship added related to 0029542
2018-03-04 19:11 git Note Added: 0074242
2018-03-05 14:04 nds Note Added: 0074249
2018-03-05 14:04 nds Assigned To nds => abv
2018-03-05 14:04 nds Status assigned => resolved
2018-03-06 17:07 git Note Added: 0074319
2018-03-06 17:09 abv Note Added: 0074320
2018-03-06 17:09 abv Assigned To abv => bugmaster
2018-03-06 17:09 abv Status resolved => reviewed
2018-03-06 17:19 bugmaster Test case number => Not needed
2018-03-06 17:22 bugmaster Note Added: 0074322
2018-03-06 17:22 bugmaster Status reviewed => tested
2018-03-16 14:14 git Note Added: 0074542
2018-03-16 14:38 git Note Added: 0074545
2018-03-18 13:21 bugmaster Changeset attached => occt master 130eb114
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074597
2018-03-19 10:05 git Note Added: 0074598
2018-03-19 10:05 git Note Added: 0074599
2018-03-19 10:05 git Note Added: 0074600
2018-03-26 09:16 nds Relationship added related to 0028934
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed
2018-07-03 15:18 kgv Relationship added related to 0029909


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker